Hydrogenaudio Forums

Hosted Forums => foobar2000 => Support - (fb2k) => Topic started by: seriousstas on 2019-03-12 12:51:56

Title: foobar2000 v1.4.3 crash reports
Post by: seriousstas on 2019-03-12 12:51:56
Online Radio http://online.radiorecord.ru:8102/mdl_128

Spoiler (click to show/hide)
Title: Re: foobar2000 v1.4.3 crash reports
Post by: Peter on 2019-03-12 13:43:52
Thanks for the report.

You appear to have plenty of known bad components running.
https://help.foobar2000.org/troubleshooter/components/27ce5baaa2e552e5+bb3e934c7385c1a1+c51828b51d77c620+7d573cd3fff629ef+f98357de9e4e3b87+e6e3df56586e983f
Please get rid of them and try again.

Tried this radio with a clean 1.4.3 install, no crashing occurred.
Title: Re: foobar2000 v1.4.3 crash reports
Post by: Rollin on 2019-03-12 14:55:29
Works for me too on not-so-clean 1.4.3 installation.
Title: Re: foobar2000 v1.4.3 crash reports
Post by: Peter on 2019-03-13 11:25:25
One other thing.

I don't know why people do this, maybe you can enlighten me, because there's plenty more of the same on the crash report tracker.

You have the latest foobar2000.exe, new FFmpeg, but other DLLs from OLD foobar2000 versions.
Under no condition the foobar2000 installer does that. Did you mix binaries from different foobar2000 releases manually?

Mixing binaries from different releases of some program is generally asking for trouble. These are not optional components for a reason. In particular, foo_input_std.dll expects the same FFmpeg version that it was compiled against, which is probably the direct reason for your crashing.

I specifically made foo_input_std.dll & foo_ui_std.dll report the version number of the foobar2000 release that they came with to troubleshoot these cases. The ones you have predate this change, so they're obviously not from fb2k 1.4.3.
SimplePortal 1.0.0 RC1 © 2008-2019